Loading...
Searching...
No Matches
casacore::SDFITSHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDFITSHandler.h>`

## Public Member Functions

| SDFITSHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDFITSHandler (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach this to a MS - any unhandled fields in row are handled here.
| SDFITSHandler (const SDFITSHandler &other)
| copy ctor
| ~SDFITSHandler ()
SDFITSHandler & | operator= (const SDFITSHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS - any unhandled fields in row are handled here.
void | fill (const Record &row, const MEpoch &time, const Double &interval)
| fill - a new row is always added

## Private Member Functions

void | clearAll ()
| cleanup everything
void | clearRow ()
| cleanup the row related stuff
void | initAll (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (Vector< Bool > &handledCols, const Vector< String > &colNames, const Record &row)
| intialize the row related stuff
TableDesc | requiredTableDesc (Vector< Bool > &handledCols, Vector< String > &colNames, const Record &row)
| get the required table desc given the unhandled columns and the row

## Private Attributes

Table * | tab_p
| the output table
ScalarMeasColumn< MEpoch > | timeMeas_p
| the TIME column
ScalarQuantColumn< Double > | intervalQuant_p
| the INTERVAL column
CopyRecordToTable * | copier_p
| this copies everything from the row to the table

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 85 of file SDFITSHandler.h.

## Constructor & Destructor Documentation

## SDFITSHandler() [1/3]

casacore::SDFITSHandler::SDFITSHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDFITSHandler().

## SDFITSHandler() [2/3]

casacore::SDFITSHandler::SDFITSHandler | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS - any unhandled fields in row are handled here.

This handler must be attached last.

References casacore::Record().

## SDFITSHandler() [3/3]

casacore::SDFITSHandler::SDFITSHandler | ( | const SDFITSHandler & | other | ) |

copy ctor

References SDFITSHandler().

## ~SDFITSHandler()

casacore::SDFITSHandler::~SDFITSHandler | ( |  | ) |

inline

Definition at line 98 of file SDFITSHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDFITSHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS - any unhandled fields in row are handled here.

This handler must be attached last.

References casacore::Record().

## clearAll()

void casacore::SDFITSHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDFITSHandler().

## clearRow()

void casacore::SDFITSHandler::clearRow | ( |  | ) |

private

cleanup the row related stuff

## fill()

void casacore::SDFITSHandler::fill | ( | const Record & | row,
|  | const MEpoch & | time,
|  | const Double & | interval )

fill - a new row is always added

References casacore::Record(), and casacore::time().

## initAll()

void casacore::SDFITSHandler::initAll | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDFITSHandler::initRow | ( | Vector< Bool > & | handledCols,
|  | const Vector< String > & | colNames,
|  | const Record & | row )

private

intialize the row related stuff

References casacore::Record().

## operator=()

SDFITSHandler & casacore::SDFITSHandler::operator= | ( | const SDFITSHandler & | other | ) |

assignment operator, uses copy semantics

References SDFITSHandler().

## requiredTableDesc()

TableDesc casacore::SDFITSHandler::requiredTableDesc | ( | Vector< Bool > & | handledCols,
|  | Vector< String > & | colNames,
|  | const Record & | row )

private

get the required table desc given the unhandled columns and the row

References casacore::Record().

## Member Data Documentation

## copier_p

CopyRecordToTable* casacore::SDFITSHandler::copier_p

private

this copies everything from the row to the table

Definition at line 120 of file SDFITSHandler.h.

## intervalQuant_p

ScalarQuantColumn<Double> casacore::SDFITSHandler::intervalQuant_p

private

the INTERVAL column

Definition at line 117 of file SDFITSHandler.h.

## tab_p

Table* casacore::SDFITSHandler::tab_p

private

the output table

Definition at line 111 of file SDFITSHandler.h.

## timeMeas_p

ScalarMeasColumn<MEpoch> casacore::SDFITSHandler::timeMeas_p

private

the TIME column

Definition at line 114 of file SDFITSHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDFITSHandler.h